Charm needed: gearman

Bug #950968 reported by Juan L. Negron on 2012-03-09
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Juju Charms Collection
Undecided
Juan L. Negron

Bug Description

Need a gearman ( http://www.gearman.org ) charm.

-Juan

Juan L. Negron (negronjl) wrote :

I have the charms split as gearman-server and gearman-worker.

They have been linked here.

-Juan

Changed in charms:
assignee: nobody → Juan L. Negron (negronjl)
description: updated
Changed in charms:
status: New → In Progress
Jorge Castro (jorge) wrote :

Hi Juan, can you subscribe "charmers" to this when you feel it's ready for a review?

tags: removed: new-charm
Juan L. Negron (negronjl) wrote :

Ready for review ... ( by someone other than me :) )

-Juan

Clint Byrum (clint-fewbar) wrote :

Hi Juan. I love gearman, great service. This is a cool idea, and I think in the near future we will want gearman server for scaling out nagios, which can use it to scale.

Anyway, here are some blockers:

* pecl is not crypto-verified-safe. You should just download the tarball into the charm, and pecl-build it.

* Looks like you mixed up variable names between PORT and DEFAULT_PORT, deploy produced this error:

2012-05-23 15:33:35,804 unit:gearman-server/0: hook.output ERROR: + echo extension=gearman.so
+ sed -e 's/^ENABLED=.*/ENABLED="true"/' -i /etc/default/gearman-server

2012-05-23 15:33:35,809 unit:gearman-server/0: hook.output ERROR: + '[' -x /usr/bin/open-port ']'
/var/lib/juju/units/gearman-server-0/charm/hooks/install: line 50: DEFAULT_PORT: unbound variable

2012-05-23 15:33:35,809 unit:gearman-server/0: hook.output DEBUG: hook install exited, exit code Traceback (most recent call last):
Failure: juju.errors.CharmInvocationError: Error processing '/var/lib/juju/units/gearman-server-0/charm/hooks/install': exit code 1.
.
2012-05-23 15:33:35,809 unit:gearman-server/0: hook.executor DEBUG: Hook error: /var/lib/juju/units/gearman-server-0/charm/hooks/install Error processing '/var/lib/juju/units/gearman-server-0/charm/hooks/install': exit code 1.

* start/stop hooks in gearman-worker are boilerplate, other hook scripts have boilerplate comments in them.

* both open a port, but that doesn't make sense as only the server should need to open a port.

Minors:

* I don't see why we install the pecl extension on the server.

* The client seems to just be a framework that doesn't actually start workers.

* README should not reference your personal branches

* README says to expose the server, but there's no apparent reason for that.

Other:

* Gearmand actually works via HTTP as well if you tell it to. That might be a nice option to expose so that users can write web apps that AJAX directly to gearmand

* Gearmand has persistent queue options that can write to a database so jobs aren't lost (sqlite, redis, postgres, mysql, drizzle, tokyocabinet). That would be a good option to allow users to make use of or maybe even default to since it is safer that way.

Anyway, looks like you've got some work to do. :)

Changed in charms:
status: In Progress → Incomplete

... and after all the work I do for you :)

j/k Thanks for the review ... You are right .. I have work to do so I'll
get to it.

Thanks,

Juan

On Wed, May 23, 2012 at 3:43 PM, Clint Byrum <email address hidden> wrote:

> Hi Juan. I love gearman, great service. This is a cool idea, and I think
> in the near future we will want gearman server for scaling out nagios,
> which can use it to scale.
>
> Anyway, here are some blockers:
>
> * pecl is not crypto-verified-safe. You should just download the tarball
> into the charm, and pecl-build it.
>
> * Looks like you mixed up variable names between PORT and DEFAULT_PORT,
> deploy produced this error:
>
>
> 2012-05-23 15:33:35,804 unit:gearman-server/0: hook.output ERROR: + echo
> extension=gearman.so
> + sed -e 's/^ENABLED=.*/ENABLED="true"/' -i /etc/default/gearman-server
>
> 2012-05-23 15:33:35,809 unit:gearman-server/0: hook.output ERROR: + '[' -x
> /usr/bin/open-port ']'
> /var/lib/juju/units/gearman-server-0/charm/hooks/install: line 50:
> DEFAULT_PORT: unbound variable
>
> 2012-05-23 15:33:35,809 unit:gearman-server/0: hook.output DEBUG: hook
> install exited, exit code Traceback (most recent call last):
> Failure: juju.errors.CharmInvocationError: Error processing
> '/var/lib/juju/units/gearman-server-0/charm/hooks/install': exit code 1.
> .
> 2012-05-23 15:33:35,809 unit:gearman-server/0: hook.executor DEBUG: Hook
> error: /var/lib/juju/units/gearman-server-0/charm/hooks/install Error
> processing '/var/lib/juju/units/gearman-server-0/charm/hooks/install': exit
> code 1.
>
> * start/stop hooks in gearman-worker are boilerplate, other hook scripts
> have boilerplate comments in them.
>
> * both open a port, but that doesn't make sense as only the server
> should need to open a port.
>
> Minors:
>
> * I don't see why we install the pecl extension on the server.
>
> * The client seems to just be a framework that doesn't actually start
> workers.
>
> * README should not reference your personal branches
>
> * README says to expose the server, but there's no apparent reason for
> that.
>
> Other:
>
> * Gearmand actually works via HTTP as well if you tell it to. That might
> be a nice option to expose so that users can write web apps that AJAX
> directly to gearmand
>
> * Gearmand has persistent queue options that can write to a database so
> jobs aren't lost (sqlite, redis, postgres, mysql, drizzle,
> tokyocabinet). That would be a good option to allow users to make use of
> or maybe even default to since it is safer that way.
>
> Anyway, looks like you've got some work to do. :)
>
> ** Changed in: charms
> Status: In Progress => Incomplete
>
> --
> You received this bug notification because you are a member of charmers,
> which is subscribed to the bug report.
> https://bugs.launchpad.net/bugs/950968
>
> Title:
> Charm needed: gearman
>
> Status in Juju Charms:
> Incomplete
>
> Bug description:
> Need a gearman ( http://www.gearman.org ) charm.
>
> -Juan
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/charms/+bug/950968/+subscriptions
>

Jorge Castro (jorge) wrote :

Hi Juan, any plans to get back to this or should be WONTFIX it? Thanks.

Juan L. Negron (negronjl) wrote :

wontfix I'm afraid ... I'm swamped.

Thanks,

Juan

On Tue, Sep 2, 2014 at 12:02 PM, Jorge O. Castro <email address hidden> wrote:

> Hi Juan, any plans to get back to this or should be WONTFIX it? Thanks.
>
> ** Branch unlinked: lp:~negronjl/charms/oneiric/gearman-server/trunk
>
> ** Branch unlinked: lp:~negronjl/charms/oneiric/gearman-worker/trunk
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/950968
>
> Title:
> Charm needed: gearman
>
> Status in Juju Charms:
> Incomplete
>
> Bug description:
> Need a gearman ( http://www.gearman.org ) charm.
>
> -Juan
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/charms/+bug/950968/+subscriptions
>

Marco Ceppi (marcoceppi) on 2014-09-07
Changed in charms:
status: Incomplete → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers